<template>
    <div class="container">
        <form action="SEND_ORDER">
            <h2>{{titleText}}</h2>                   
            <br><!-- -->    
            <p v-if='!this.$store.state.validFio' class='validation-text'>Нам важно знать, как к Вам обращаться</p>                        
            <input :class='this.$store.state.validFio ? "" : "invalid"' type="text" placeholder="Имя" v-model='fio' autocomplete="off" />
            <br>                
            <p v-if='!this.$store.state.validPhone' class='validation-text'>Нам важно знать, как с Вами связаться</p>            
            <input :class='this.$store.state.validPhone ? "" : "invalid"' type="text" placeholder="Телефон" v-model='phone' autocomplete="off"  v-mask="'+7 (###) ###-##-##'"  />                                    
            <br>                
            <input v-if="withEmail" type="text" placeholder="Электронная почта" v-model='email' autocomplete="off" />                                    
            <br v-if="withEmail">                
            <textarea v-if="withComment" v-model='comment' placeholder="Комментарий"></textarea>
        </form>
    </div>
</template>
<script>
import { mask } from "vue-the-mask";
export default {
  directives: {
    mask
  },
  props: ["withEmail", "withComment", "titleText"],
  computed: {
    comment: {
      get() {
        return this.$store.state.comment;
      },
      set(value) {
        this.$store.commit("updateComment", value);
      }
    },
    fio: {
      get() {
        return this.$store.state.fio;
      },
      set(value) {
        this.$store.commit("updateFio", value);
      }
    },
    phone: {
      get() {
        return this.$store.state.phone;
      },
      set(value) {
        this.$store.commit("updatePhone", value);
      }
    },
    email: {
      get() {
        return this.$store.state.email;
      },
      set(value) {
        this.$store.commit("updateEmail", value);
      }
    }
  }
};
</script>
<style scoped>
p {
  margin-bottom: 10px;
}
.validation-text {
  color: red;
}
.container {
  text-align: left;
}
input[type="text"],
textarea {
  font-size: 16px;
  outline: none;
  border-radius: 10px;
  padding: 10px;
  width: 61%;
  min-width: 237px;
  border: 1px solid #ccc;
  margin-bottom: 15px;
  box-shadow: inset 0px 0px 0px 0px red;
}
input[type="text"].invalid {
  border: 1px solid red;
}

input[type="text"]:focus,
textarea:focus {
  outline: none;
  border: 1px solid #f0712c;
}
textarea {
  height: 70px;
}
</style>

